{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ATT_ACCEPTEE"; 
            externalType = VARCHAR2; 
            name = attAcceptee; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_DATE"; 
            externalType = DATE; 
            name = attDate; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_DEBUT"; 
            externalType = DATE; 
            name = attDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_FIN"; 
            externalType = DATE; 
            name = attFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_HT"; 
            externalType = NUMBER; 
            name = attHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_INDEX"; 
            externalType = NUMBER; 
            name = attIndex; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ATT_ORDRE"; 
            externalType = NUMBER; 
            name = attOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_SUPPR"; 
            externalType = VARCHAR2; 
            name = attSuppr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_TYPE_CONTROLE"; 
            externalType = VARCHAR2; 
            name = attTypeControle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ATT_VALIDE"; 
            externalType = VARCHAR2; 
            name = attValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "LOT_ORDRE"; 
            externalType = NUMBER; 
            name = lotOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RIB_ORDRE"; 
            externalType = NUMBER; 
            name = ribordre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TIT_ORDRE"; 
            externalType = NUMBER; 
            name = titOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "AGT_ORDRE"; }; 
            name = utlOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        attOrdre, 
        attSuppr, 
        attValide, 
        fouOrdre, 
        lotOrdre, 
        attTypeControle, 
        attAcceptee, 
        utlOrdre, 
        titOrdre, 
        attIndex, 
        ribordre
    ); 
    className = "org.cocktail.sapics.serveur.eof.model.EOAttribution"; 
    classProperties = (
        attDate, 
        attSuppr, 
        attValide, 
        attDebut, 
        attFin, 
        attTypeControle, 
        attAcceptee, 
        attHt, 
        fournis, 
        lot, 
        attIndex, 
        titulaire, 
        utilisateur, 
        rib
    ); 
    externalName = "JEFY_MARCHES.ATTRIBUTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            attDate, 
            attSuppr, 
            attValide, 
            attDebut, 
            attFin, 
            attTypeControle, 
            attAcceptee, 
            attHt, 
            fournis, 
            lot, 
            titulaire, 
            attIndex, 
            utilisateur, 
            rib
        ); 
        "_javaClientClassName" = "org.cocktail.sapics.client.eof.model.EOAttribution"; 
        "_nameInObjectStore" = ATTRIBUTION; 
    }; 
    name = Attribution; 
    primaryKeyAttributes = (attOrdre); 
    relationships = (
        {
            destination = Fournis; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = fournis; 
        }, 
        {
            destination = Lot; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lotOrdre; sourceAttribute = lotOrdre; }); 
            name = lot; 
        }, 
        {
            destination = VRib; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ribOrdre; sourceAttribute = ribordre; }); 
            name = rib; 
        }, 
        {
            destination = Titulaire; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = titOrdre; sourceAttribute = titOrdre; }); 
            name = titulaire; 
        }, 
        {
            destination = Utilisateur; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
